For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
      • GETList Donor Advised Funds
      • GETGet Donor Advised Fund
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
DAFpayDonor Advised Funds

Get Donor Advised Fund

GET
/v1/dafs/:id
GET
/v1/dafs/:id
$curl https://api.givechariot.com/v1/dafs/f9e28217-e0f7-4a54-9764-d664ffb10722 \
> -H "Authorization: Bearer <token>"
1{
2 "id": "0bf40881-8ee2-47fb-98ca-f58c7999aa34",
3 "orgName": "National Philanthropic Trust",
4 "address": "123 Main St.",
5 "address2": "Apt 100",
6 "city": "New York City",
7 "state": "New York",
8 "zip": "12345",
9 "supported": true,
10 "minimumGrantAmount": 25000,
11 "institutionDown": false
12}
Retrieve a DAF with a given ID.
Was this page helpful?
Previous

List Inbound Transfers

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
The unique id of the DAF. The format should be a v4 UUID according to RFC 4122.

Response

OK
idstringRead-only
The unique identifier for this object.
orgNamestringRead-only
A human readable name for the DAF.
addressstringRead-only
The first address line.
address2stringRead-only
The second address line.
citystringRead-only
The city name for the address.
statestringRead-only
The state name for the address.
zipstringRead-only
The zipcode for the address.
supportedbooleanRead-only
A flag to indicate if this DAF is supported by DAFpay.
minimumGrantAmountdoubleRead-only
The minimum grant amount in cents allowed for this DAF.
institutionDownbooleanRead-only
A flag to indicate if the institution is down.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error